Index: Singular/LIB/primdec.lib
===================================================================
--- Singular/LIB/primdec.lib	(revision 70ab7345177754da28df06fc80c572286ed3e7ee)
+++ Singular/LIB/primdec.lib	(revision a36e78f7f85445e5816d564f9ea8214033537fad)
@@ -1,4 +1,4 @@
 ///////////////////////////////////////////////////////////////////////////////
-version="$Id: primdec.lib,v 1.130 2007-03-20 17:31:37 Singular Exp $";
+version="$Id: primdec.lib,v 1.131 2007-03-21 15:39:12 Singular Exp $";
 category="Commutative Algebra";
 info="
@@ -226,5 +226,4 @@
       g=1;
       verg=laedi;
-
       for(j=1;j<=size(fac);j++)
       {
@@ -234,5 +233,4 @@
         }
       }
-
       verg=quotient(laedi,g);
 
@@ -677,5 +675,4 @@
               l[2*i]=maxideal(1);
             }
-
             i--;
             break;
@@ -954,5 +951,5 @@
       if((act[2][@k]==1)&&(vdim(primary[2*@k-1])==deg(act[1][@k])))
       {
-        primary[2*@k] = primary[2*@k-1];
+        primary[2*@k]   = primary[2*@k-1];
       }
       else
@@ -1076,5 +1073,5 @@
             {
               jmap1[zz]=-1/leadcoef(primary[2*@k-1][@n])*primary[2*@k-1][@n]
-                  +2/leadcoef(primary[2*@k-1][@n])*lead(primary[2*@k-1][@n]);
+                   +2/leadcoef(primary[2*@k-1][@n])*lead(primary[2*@k-1][@n]);
               jmap2[zz]=primary[2*@k-1][@n];
               @qht[@n]=var(zz);
@@ -1164,5 +1161,5 @@
       if(size(lres0)==2)
       {
-        lres0[2]=groebner(lres0[2],"par2var");
+        lres0[2]=groebner(lres0[2]);
       }
       else
@@ -1172,5 +1169,5 @@
           if(specialIdealsEqual(lres0[2*@n-1],lres0[2*@n])==1)
           {
-            lres0[2*@n-1]=groebner(lres0[2*@n-1],"par2var");
+            lres0[2*@n-1]=groebner(lres0[2*@n-1]);
             lres0[2*@n]=lres0[2*@n-1];
             attrib(lres0[2*@n],"isSB",1);
